package com.tzld.longarticle.recommend.server.mapper.longArticle;

import com.tzld.longarticle.recommend.server.model.param.ListItemFilterOrderParam;
import com.tzld.longarticle.recommend.server.model.param.videoAudit.ArticleTitleUpdateParam;
import com.tzld.longarticle.recommend.server.model.param.videoAudit.VideoTitleUpdateParam;
import com.tzld.longarticle.recommend.server.model.vo.ArticleVideoAuditListVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ArticleAuditMapper {

    int articleVideoAuditListCount(List<String> contentId, List<Integer> status,
                                   List<String> title, List<String> auditAccount, List<String> producePlanIds,
                                   List<String> flowPoolLevel,
                                   ListItemFilterOrderParam auditTimestamp);

    List<ArticleVideoAuditListVO> articleVideoAuditList(List<String> contentId, List<Integer> status,
                                                        List<String> title, List<String> auditAccount,
                                                        List<String> producePlanIds,
                                                        List<String> flowPoolLevel,
                                                        ListItemFilterOrderParam auditTimestamp,
                                                        int offset, Integer pageSize, String poolLevelDesc);

    ArticleVideoAuditListVO articleVideoAuditNext(List<String> contentId, List<Integer> status,
                                                  List<String> title, List<String> auditAccount,
                                                  List<String> producePlanIds, String poolLevel,
                                                  List<String> excludeContentIds);

    List<ArticleVideoAuditListVO> articleVideoWatingAuditList(List<Integer> status,
                                                              List<String> flowPoolLevels,
                                                              List<String> excludeContentIds,
                                                              Integer size);


    void updateCrawlerVideoIsIllegal(List<Integer> illegalVideoIds, Integer isIllegal);

    List<String> searchFilterValueByItemName(String itemName, String searchKeyword);

    void updateArticleTitle(ArticleTitleUpdateParam param, Long updateTime);

    void updateVideoTitle(VideoTitleUpdateParam param, Long updateTime);

    void updateTitleAuditFlowPoolLevel();

}
