package com.tzld.longarticle.recommend.server.mapper.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.PublishSingleVideoSource;
import com.tzld.longarticle.recommend.server.model.param.ListItemFilterOrderParam;
import com.tzld.longarticle.recommend.server.model.param.videoAudit.ArticleTitleUpdateParam;
import com.tzld.longarticle.recommend.server.model.param.videoAudit.VideoTitleUpdateParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface VideoPoolAuditMapper {

    int articleVideoAuditListCount(List<String> contentId, List<Integer> status,
                                   List<String> title, List<String> auditAccount, List<Integer> flowPoolLevels,
                                   ListItemFilterOrderParam auditTimestamp);

    List<PublishSingleVideoSource> articleVideoAuditList(List<String> contentId, List<Integer> status,
                                                         List<String> title, List<String> auditAccount,
                                                         List<Integer> flowPoolLevels,
                                                         ListItemFilterOrderParam auditTimestamp,
                                                         int offset, Integer pageSize, String poolLevelDesc);

    PublishSingleVideoSource articleVideoAuditNext(List<String> contentId, List<Integer> status,
                                                   List<String> title, List<String> auditAccount,
                                                   Integer flowPoolLevel, List<String> excludeContentIds);

    List<PublishSingleVideoSource> articleVideoWatingAuditList(List<Integer> status,
                                                               List<Integer> flowPoolLevels,
                                                               List<String> excludeContentIds,
                                                               Integer size);

    List<String> searchFilterValueByItemName(String itemName, String searchKeyword);

    void updateArticleTitle(ArticleTitleUpdateParam param, Long updateTime);

    void updateVideoTitle(VideoTitleUpdateParam param, Long updateTime);

}
